Please whitelist cPanel in your adblocker so that you’re able to see our version release promotions, thanks!

The Community Forums

Interact with an entire community of cPanel & WHM users!

Force update to LTS version blocked?

Discussion in 'General Discussion' started by swbrains, May 9, 2018.

Tags:
  1. swbrains

    swbrains Well-Known Member

    Joined:
    Sep 13, 2006
    Messages:
    132
    Likes Received:
    16
    Trophy Points:
    168
    My cPanel is at version 68.0.38 currently with a message "The last attempt to update cPanel & WHM was blocked. Details" displayed at the top. The details say: "Upgrade to the next LTS is blocked until Monday May 14, 2018 in order to distribute upgrades over a five day period. If you wish to upgrade now, you can do so now with the force option."

    However, if I go to the "Upgrade to Latest Version" page in cPanel and check the "Force a reinstall even if the system is up to date." box, it performs the update for several minutes and at the end it shows this message:
    "NOTE: A system upgrade was not possible due to the following blockers: [2018-05-09 22:05:01 -0500] W [INFO] - Upgrade to the next LTS is blocked until Monday May 14, 2018 in order to distribute upgrades over a five day period. If you wish to upgrade now, you can do so now with the force option." And cPanel continues to show the yellow message about a blocked update at the top of the page.

    Why does the Force option still not allow the update to go through when the message indicates that it should?

    Thanks!
     
  2. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,216
    Likes Received:
    1,937
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello @swbrains,

    Updates to cPanel & WHM version 70 are temporarily blocked for systems on the RELEASE build tier until the solution for internal case CPANEL-20319 is published. We do this in cases where we want to limit the exposure of an issue to as few systems as possible. You can read more about this on the following thread:

    cPanel & WHM 70 - Known Issues

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  3. swbrains

    swbrains Well-Known Member

    Joined:
    Sep 13, 2006
    Messages:
    132
    Likes Received:
    16
    Trophy Points:
    168
    Thanks. I was just confused by the cPanel message details that said although the update was blocked due to spreading the update over several days, I could still force it to occur immediately by checking the Force box on the upgrade page. But doing so doesn't actually force the upgrade to take place. Instead, the upgrade runs, but eventually issues the same message at the end about the upgrade not being performed until a certain date, and reiterating that I can force the upgrade immediately if I check the Force box.
     
  4. Un Area

    Un Area Well-Known Member

    Joined:
    Nov 16, 2006
    Messages:
    90
    Likes Received:
    0
    Trophy Points:
    156
    I was just wondering the same cause the same message of blocker appeared at 68.0.38 version. Anyways my updates are set to manual.
    Well its good to know that cpanel blocks an update when they detect an issue on the latest version to prevent further system problems.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  5. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,216
    Likes Received:
    1,937
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello @swbrains,

    Forcing the cPanel update does normally allow you to bypass the staggered update blocker, however in this instance it won't work because updates to cPanel & WHM version 70 are temporarily blocked for all systems on the RELEASE build tier due to the case referenced in my last response. Once version 70.0.34 is published to the RELEASE build tier, we'll allow updates again, and you can then force the cPanel update to bypass the staggered update blocker referenced in the output you provided.

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    Un Area likes this.
  6. swbrains

    swbrains Well-Known Member

    Joined:
    Sep 13, 2006
    Messages:
    132
    Likes Received:
    16
    Trophy Points:
    168
    Makes sense. I think it was just confusing because the blocking message didn't mention a delay due to unresolved issues -- it just referred to staggering the release over time and still offered the advice to override the delay with the force option. Might be worth adjusting the details message by leaving out the verbiage about overriding with the "force" option for those cases., just to avoid confusion.
     
  7. Babene7

    Babene7 Member

    Joined:
    Apr 13, 2017
    Messages:
    12
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    Uruguay
    cPanel Access Level:
    Root Administrator
    Hi,

    Is this update still blocked? I'm getting this message even after using --force:

    Code:
    [2018-05-13 01:27:02 -0400] W [INFO] - Upgrade to the next LTS is blocked until Monday May 21, 2018 in order to distribute upgrades over a five day period. If you wish to upgrade now, you can do so now with the force option.
    Thanks.-
     
  8. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,216
    Likes Received:
    1,937
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello @Babene7,

    The distribution of new major versions of cPanel & WHM to the RELEASE build tier doesn't happen automatically for all servers at the same time. If you want to upgrade right away, you can force the cPanel update using the following command:

    Code:
    /scripts/upcp --force
    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
  9. Babene7

    Babene7 Member

    Joined:
    Apr 13, 2017
    Messages:
    12
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    Uruguay
    cPanel Access Level:
    Root Administrator
    HI @cPanelMichael,

    That's what I'm doing, the RELEASE tier is selected on WHM and I run upcp with --force

    This is what I get:


    Code:
    [2018-05-15 02:16:29 -0400]   Target version set to '11.70.0.39'
    [2018-05-15 02:16:29 -0400]   Switching to 11.70.0.39 to determine if we can reach that version without failure.
    [2018-05-15 02:16:29 -0400] ***** FATAL: Failed to download updatenow.static from server: The system cannot update the /var/cpanel/sysinfo.config file. at /usr/local/cpanel/Cpanel/GenSysInfo.pm line 113.
    [2018-05-15 02:16:29 -0400]   The Administrator will be notified to review this output when this script completes
    => Log closed Tue May 15 02:16:29 2018
    [2018-05-15 02:16:29 -0400]   17% complete
    => Log closed Tue May 15 02:16:29 2018
    ----------------------------------------------------------------------------------------------------
    => Log opened from /usr/local/cpanel/scripts/maintenance (16110) at Tue May 15 02:16:30 2018
    => Log closed Tue May 15 02:16:30 2018
    ----------------------------------------------------------------------------------------------------
    => Log opened from cPanel Update (upcp) - Slave (15930) at Tue May 15 02:16:30 2018
    [2018-05-15 02:16:30 -0400] E Pre Maintenance ended, however it did not exit cleanly (65280). Please check the logs for an indication of what happened
    => Log closed Tue May 15 02:16:30 2018
    [2018-05-15 02:16:30 -0400]   95% complete
    [2018-05-15 02:16:30 -0400]   Running Standardized hooks
    [2018-05-15 02:16:30 -0400]   100% complete
    [2018-05-15 02:16:30 -0400] 
    [2018-05-15 02:16:30 -0400]     cPanel update completed
    [2018-05-15 02:16:30 -0400]   A log of this update is available at /var/cpanel/updatelogs/update.1526364967.log
    [2018-05-15 02:16:30 -0400]   Removing upcp pidfile
    [2018-05-15 02:16:30 -0400] W NOTE: A system upgrade was not possible due to the following blockers:
    [2018-05-15 02:16:30 -0400] W [INFO] - Upgrade to the next LTS is blocked until Monday May 21, 2018 in order to distribute upgrades over a five day period. If you wish to upgrade now, you can do so now with the force option.
    => Log closed Tue May 15 02:16:30 2018
    Edit: I forgot to mention that this is happening on several servers.

    Thanks!
     
    #9 Babene7, May 15, 2018
    Last edited: May 15, 2018
  10. cPanelMichael

    cPanelMichael Technical Support Community Manager
    Staff Member

    Joined:
    Apr 11, 2011
    Messages:
    45,216
    Likes Received:
    1,937
    Trophy Points:
    363
    cPanel Access Level:
    Root Administrator
    Twitter:
    Hello @Babene7,

    This is a symptom of the issue discussed on the following post:

    Cron jobs now failing with nospoof error

    Can you review the above link to verify if your system is affected by that issue?

    Thank you.
     
    Stop hovering to collapse... Click to collapse... Hover to expand... Click to expand...
    Babene7 likes this.
  11. Babene7

    Babene7 Member

    Joined:
    Apr 13, 2017
    Messages:
    12
    Likes Received:
    2
    Trophy Points:
    3
    Location:
    Uruguay
    cPanel Access Level:
    Root Administrator
    Thanks, that worked.
     
    cPanelMichael likes this.
Loading...

Share This Page

  1. This site uses cookies to help personalise content, tailor your experience and to keep you logged in if you register.
    By continuing to use this site, you are consenting to our use of cookies.
    Dismiss Notice